Część: Prostopadłościan

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Part Box and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎ • ‎한국어

Part Box.svg Część: Prostopadłościan

Lokalizacja w menu
Część → Bryła pierwotna → Sześcian
Środowisko pracy
Środowisko pracy Część
Domyślny skrót
brak
Wprowadzono w wersji
-
Zobacz także
Bryły pierwotne

Opis

Polecenie Part Box.svg Prostopadłościan środowiska pracy Część tworzy parametryczną bryłę prostopadłościanu prostokątny prostopadłościan. W układzie współrzędnych zdefiniowanym przez właściwość DANEUmiejscowienie dolna ściana prostopadłościanu leży na płaszczyźnie XY, jej lewy przedni narożnik znajduje się w punkcie odniesienia położenia, a przednia krawędź jest równoległa do osi X.

Part Box Example.png

Użycie

  1. Istnieje kilka sposobów na wywołanie polecenia:
    • Naciśnij przycisk Part Box.svg Prostopadłościan.
    • Wybierz z menu opcję Część → Bryła pierwotna → Part Box.svg Prostopadłościan.
  2. Prostopadłościan zostanie utworzony.
  3. Opcjonalnie zmień wymiary i DANEUmiejscowienie prostopadłościanu, wykonując jedną z poniższych czynności:
    • Kliknij dwukrotnie obiekt w oknie Widok drzewa:
      1. Otworzy się panel zadań Geometric Primitives.
      2. Zmień jedną lub więcej właściwości.
      3. Obiekt jest dynamicznie aktualizowany w oknie widoku 3D.
      4. Naciśnij przycisk OK.
    • Zmień właściwości w Edytorze właściwości.
    • Zmień DANEUmiejscowienie za pomocą Std TransformManip.svg Std: Przemieszczenie.

Przykład

Prostopadłościan środowiska pracy Część na przykładzie skryptu

Poniżej pokazano obiekt Prostopadłościanu utworzony za pomocą przykładowego skryptu.

Uwagi

  • Prostopadłościan środowiska pracy Część można również utworzyć za pomocą narzędzia Part Primitives.svg Geometrie pierwotne. Za jego pomocą można określić wymiary i umiejscowienie w czasie tworzenia.

Właściwości

Zobacz również stronę: Edytor właściwości.

Obiekt Prostopadłościan wywodzi się z obiektu Część: Cecha i dziedziczy wszystkie jego właściwości. Posiada on również następujące dodatkowe właściwości:

Dane

Dołączenie

Obiekt ten ma takie same właściwości dołączania jak Part: Part2DObject.

Prostopadłościan

  • DANEDługość (długość): Długość prostopadłościanu. Jest to wymiar w kierunku X. Wartość domyślna to 10mm.
  • DANESzerokość (długość): Szerokość prostopadłościanu. Jest to wymiar w kierunku Y. Wartość domyślna to 10mm.
  • DANEWysokość (długość): Wysokość prostopadłościanu. Jest to wymiar w kierunku Z. Wartość domyślna to 10mm.

Tworzenie skryptów

Zobacz również: Dokumentacja API generowana automatycznie oraz Skrypty w środowisku Część i Podstawy pisania skryptów dla FreeCAD.

Prostopadłościan środowiska pracy Część jest tworzony za pomocą metody addObject().

box = FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
  • Gdzie parametr myBox jest etykietą dla obiektu prostopadłościanu.
  • Zwraca nowo utworzony obiekt typu prostopadłościan.

Przykład:

import FreeCAD as App

doc = App.activeDocument()

box = doc.addObject("Part::Box", "myBox")
box.Length = 4
box.Width = 8
box.Height = 12
box.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))

doc.recompute()